### Function

# Secret password_lookup_binary_finish

since: 0.19.0

#### Declaration [src]

    SecretValue*
    secret_password_lookup_binary_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to lookup a password in the secret service.

Available since: 0.19.0

This function is not directly available to language bindings.

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretValue`

A newly allocated `SecretValue`, which should be released with `secret_value_unref()`, or `NULL` if no secret found.

The caller of the function takes ownership of the data, and is responsible for freeing it.